BufferRecycler.CharBufferType (Jackson-core 2.3.0 API)
Date: 2013-11-13

com.fasterxml.jackson.core.util

## Enum BufferRecycler.CharBufferType

- java.lang.Object
- - java.lang.Enum<BufferRecycler.CharBufferType>
  - - com.fasterxml.jackson.core.util.BufferRecycler.CharBufferType

- All Implemented Interfaces:
    Serializable, Comparable<BufferRecycler.CharBufferType>
  Enclosing class:
    BufferRecycler

      public static enum BufferRecycler.CharBufferType
      extends Enum<BufferRecycler.CharBufferType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONCAT_BUFFER`
    `NAME_COPY_BUFFER`
    `TEXT_BUFFER`
    `TOKEN_BUFFER`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `size`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BufferRecycler.CharBufferType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BufferRecycler.CharBufferType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOKEN_BUFFER

          public static final BufferRecycler.CharBufferType TOKEN_BUFFER

    - #### CONCAT_BUFFER

          public static final BufferRecycler.CharBufferType CONCAT_BUFFER

    - #### TEXT_BUFFER

          public static final BufferRecycler.CharBufferType TEXT_BUFFER

    - #### NAME_COPY_BUFFER

          public static final BufferRecycler.CharBufferType NAME_COPY_BUFFER

  - ### Field Detail

    - #### size

          protected final int size

  - ### Method Detail

    - #### values

          public static BufferRecycler.CharBufferType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BufferRecycler.CharBufferType c : BufferRecycler.CharBufferType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BufferRecycler.CharBufferType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2012-2013 FasterXML. All Rights Reserved.